Имя пользователя:
Пароль:  
Помощь | Регистрация | Забыли пароль?  | Правила  

Компьютерный форум OSzone.net » Linux и FreeBSD » Общий по Linux » [решено] Большая проблема с видеодрайверами под Ubuntu

Ответить
Настройки темы
[решено] Большая проблема с видеодрайверами под Ubuntu

Новый участник


Сообщения: 38
Благодарности: 0


Конфигурация

Профиль | Сайт | Отправить PM | Цитировать


Изменения
Автор: kopylovsergey
Дата: 08-04-2007
Установлена Ubuntu 6.10.

Ребята, такая проблема:

Установил драйвера для видеокарты nvidia-glx package с помощью стандартной "Установки/удаления программ...". Потом, как написано на официальном зайте активировал с помощью команды

Код: Выделить весь код
sudo nvidia-glx-config enable
После этого в терминале появилось сообщение о необходимости перезагрузки. После перезагрузке появилось какое-то терминальное сообщение с каракулями и 2-мя возможностями выбора. При выборе 2 варианта ничего не происходит, при выборе 1 - появляется сообщение по-английски, примерный смысл которого - "не найден графический адаптер". По-видимому, перед перезагрузкой нужно было выбрать видеокарту.

После этого загружается терминал, я могу зайти под root-пользователем.

Вопрос: Каким образом я могу восстановить загрузку с обычными драйверами или, хотя бы загрузку Gnome?

Очень и очень волнуюсь, т.к. в системе было уже установлено много программ, много настроено... Надеюсь на вашу поддержку!

Отправлено: 11:36, 08-04-2007

 

Аватара для BoBaH 13

Ветеран


Сообщения: 1205
Благодарности: 220

Профиль | Отправить PM | Цитировать


sputnikk, Смотрел я это. Это слишком сложно для меня.

Нашёл более вменяемое:
Гайд как пересобрать deb драйвер, который был сделан для Ubuntu 14.04, для работы на Ubuntu 20.04. С фигурирующим там пакетом разница в том, что у меня в конце имени ещё дописано _UB_14.01.
Цитата:
- Удаляем из зависимостей пакеты, которые больше не нужны или не существуют в Ubuntu 20.04...
В моём:
Скрытый текст
Цитата:
Package: fglrx
Source: fglrx-installer
Version: 2:15.201-0ubuntu1
Architecture: amd64
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Installed-Size: 170686
Depends: fglrx-core, libc6 (>= 2.9), libfontconfig1 (>= 2.8.0), libfreetype6 (>= 2.2.1), libgcc1 (>= 1:4.1.1), libice6 (>= 1:1.0.0), libqtcore4 (>= 4:4.7.0~beta2), libsm6, libstdc++6 (>= 4.1.1), libx11-6, libxext6, libxfixes3, libxrandr2, libxrender1
Recommends: fglrx-amdcccle
Conflicts: fglrx-driver, xorg-driver-binary
Replaces: fglrx-driver, xorg-driver-binary
Provides: fglrx-driver, xorg-driver-binary, xorg-driver-video

Как теперь определиться с нужным-ненужным уже в Ubuntu 22.04?
Через Synaptic в поиске смотреть что стоит?

up. Попробовал устанавливать этот список через терминал. Ранее я уже пытался установить этот fgrlx и некоторые из пакетов обозначены как установленные вручную. Вот что терминал пишет про них:
Скрытый текст
libc6 (>= 2.9) Уже установлен пакет libc6 самой новой версии (2.35-0ubuntu3.6)
libfontconfig1 (>= 2.8.0) Уже установлен пакет libfontconfig1 самой новой версии (2.13.1-4.2ubuntu5)
libfreetype6 (>= 2.2.1) Уже установлен пакет libfreetype6 самой новой версии (2.11.1+dfsg-1ubuntu0.2)
libice6 (>= 1:1.0.0) Уже установлен пакет libice6 самой новой версии (2:1.0.10-1build2)
libsm6 Уже установлен пакет libsm6 самой новой версии (2:1.2.3-1build2).
libstdc++6 (>= 4.1.1) Уже установлен пакет libstdc++6 самой новой версии (12.3.0-1ubuntu1~22.04).
libx11-6 Уже установлен пакет libx11-6 самой новой версии (2:1.7.5-1ubuntu0.3).
libxext6 Уже установлен пакет libxext6 самой новой версии (2:1.3.4-1build1)
libxfixes3 Уже установлен пакет libxfixes3 самой новой версии (1:6.0.0-1).
libxrandr2 Уже установлен пакет libxrandr2 самой новой версии (2:1.5.2-1build1).
libxrender1 Уже установлен пакет libxrender1 самой новой версии (1:0.9.10-1build4).

fglrx-core E: Невозможно найти пакет fglrx-core

libqtcore4 (>= 4:4.7.0~beta2) Пакет libqtcore4 недоступен, но упомянут в списке зависимостей другого
пакета. Это может означать, что пакет отсутствует, устарел или доступен из источников, не помянутых в sources.list
Однако следующие пакеты могут его заменить:
libqt5core5a:i386 libqt5core5a qtchooser:i386 qtchooser
E: Для пакета «libqtcore4» не найден кандидат на установку

libgcc1 (>= 1:4.1.1) Заметьте, вместо «libgcc1» выбирается «libgcc-s1»
Уже установлен пакет libgcc-s1 самой новой версии (12.3.0-1ubuntu1~22.04)

fglrx-amdcccle: Невозможно найти пакет fglrx-amdcccle

fglrx-driver: Невозможно найти пакет fglrx-driver

xorg-driver-binary: Пакет xorg-driver-binary — виртуальный, его функции предоставляются пакетами:
xserver-xorg-video-nvidia-550-server 550.54.14-0ubuntu3.22.04.1
xserver-xorg-video-nvidia-545 545.29.06-0ubuntu0.22.04.2
xserver-xorg-video-nvidia-535-server 535.161.07-0ubuntu0.22.04.1
xserver-xorg-video-nvidia-535 535.161.07-0ubuntu0.22.04.1
xserver-xorg-video-nvidia-525-server 525.147.05-0ubuntu0.22.04.1
xserver-xorg-video-nvidia-525 525.147.05-0ubuntu0.22.04.1
xserver-xorg-video-nvidia-470-server 470.239.06-0ubuntu0.22.04.1
xserver-xorg-video-nvidia-470 470.239.06-0ubuntu0.22.04.1
xserver-xorg-video-nvidia-450-server 450.248.02-0ubuntu0.22.04.1
xserver-xorg-video-nvidia-418-server 418.226.00-0ubuntu5~0.22.04.1
xserver-xorg-video-nvidia-390 390.157-0ubuntu0.22.04.2
Вы должны явно указать, какой именно вы хотите установить.

E: Для пакета «xorg-driver-binary» не найден кандидат на установку
xorg-driver-video: Пакет xorg-driver-video — виртуальный, его функции предоставляются пакетами:
xserver-xorg-video-nvidia-550-server 550.54.14-0ubuntu3.22.04.1
virtualbox-guest-x11-hwe 6.1.50-dfsg-1~ubuntu1.22.04.1
virtualbox-guest-x11 6.1.50-dfsg-1~ubuntu1.22.04.1
xserver-xorg-video-nvidia-545 545.29.06-0ubuntu0.22.04.2
xserver-xorg-video-nvidia-535-server 535.161.07-0ubuntu0.22.04.1
xserver-xorg-video-nvidia-535 535.161.07-0ubuntu0.22.04.1
xserver-xorg-video-nvidia-525-server 525.147.05-0ubuntu0.22.04.1
xserver-xorg-video-nvidia-525 525.147.05-0ubuntu0.22.04.1
xserver-xorg-video-nvidia-470-server 470.239.06-0ubuntu0.22.04.1
xserver-xorg-video-nvidia-470 470.239.06-0ubuntu0.22.04.1
xserver-xorg-video-nvidia-450-server 450.248.02-0ubuntu0.22.04.1
xserver-xorg-video-nvidia-418-server 418.226.00-0ubuntu5~0.22.04.1
xserver-xorg-video-nvidia-390 390.157-0ubuntu0.22.04.2
xserver-xorg-video-radeon 1:19.1.0-2ubuntu1
xserver-xorg-video-ati 1:19.1.0-2ubuntu1
xserver-xorg-video-amdgpu 22.0.0-1ubuntu0.2
xserver-xorg-video-r128 6.12.0-2build2
xserver-xorg-video-openchrome 1:0.6.0-5
xserver-xorg-video-mga 1:2.0.0-1build1
xorgxrdp 1:0.2.17-1build1
xserver-xorg-video-vmware 1:13.3.0-3build1
xserver-xorg-video-vesa 1:2.5.0-1build4
xserver-xorg-video-qxl 0.1.5+git20200331-3
xserver-xorg-video-nouveau 1:1.0.17-2build1
xserver-xorg-video-intel 2:2.99.917+git20210115-1
xserver-xorg-video-fbdev 1:0.5.0-2build1
xserver-xorg-video-dummy 1:0.3.8-2build1
Вы должны явно указать, какой именно вы хотите установить.
E: Для пакета «xorg-driver-video» не найден кандидат на установку


Полагаю что при отсутствии самого fglrx-core дело дальше и не пойдёт.
Нашёл какое то fglrx-ядро. Буду пытаться установить.
libqtcore4 как быть с заменителем?
libgcc1 изменить на имеющийся «libgcc-s1»?
fglrx-amdcccle и fglrx-driver: с этими как поступить?
xorg-driver-binary предлагаются только зелёные. Где взять для красного?
xorg-driver-video какой из radeon ati amdgpu r128 выбрать?

Последний раз редактировалось BoBaH 13, 28-03-2024 в 14:15.


Отправлено: 11:40, 28-03-2024 | #11



Для отключения данного рекламного блока вам необходимо зарегистрироваться или войти с учетной записью социальной сети.

Если же вы забыли свой пароль на форуме, то воспользуйтесь данной ссылкой для восстановления пароля.



Компьютерный форум OSzone.net » Linux и FreeBSD » Общий по Linux » [решено] Большая проблема с видеодрайверами под Ubuntu

Участник сейчас на форуме Участник сейчас на форуме Участник вне форума Участник вне форума Автор темы Автор темы Шапка темы Сообщение прикреплено

Похожие темы
Название темы Автор Информация о форуме Ответов Последнее сообщение
[решено виноват кард ридер] Ноутбук модели ASUS F5RL сильно тормозит Amiranchik Ноутбуки 9 18-11-2014 23:59
ASUS EAH3870 большая проблема Zarj Видеокарты 3 05-06-2009 18:00
Интернет - Большая проблема с интернетом E333A Microsoft Windows 2000/XP 2 04-05-2009 06:10
[решено] HELP Большая проблема с DVDRW на ноуте ACER 5520 Banditman Ноутбуки 5 07-04-2009 20:44
Debian/Ubuntu - Проблема с установкой Ubuntu 8.04 из под Windows .ExeRun Общий по Linux 4 10-05-2008 00:27




 
Переход